Package org.stianloader.micromixin.transform.api.supertypes

## Class ASMClassWrapperProvider

- java.lang.Object
- - org.stianloader.micromixin.transform.api.supertypes.ASMClassWrapperProvider

All Implemented Interfaces:
  `ClassWrapperProvider`

    public abstract class ASMClassWrapperProvider
    extends java.lang.Object
    implements ClassWrapperProvider

### Constructor Summary

Constructors
`ASMClassWrapperProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract org.objectweb.asm.tree.ClassNode` `getNode​(java.lang.String name)`
`ClassWrapper` `provide​(java.lang.String name, ClassWrapperPool pool)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASMClassWrapperProvider

    public ASMClassWrapperProvider()

### Method Detail

#### getNode

    @Nullable
    public abstract org.objectweb.asm.tree.ClassNode getNode​(@NotNull
                                                             java.lang.String name)

#### provide

    @Nullable
    public ClassWrapper provide​(@NotNull
                                java.lang.String name,
                                @NotNull
                                ClassWrapperPool pool)

Specified by:
  `provide` in interface `ClassWrapperProvider`